Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: LViatourfavoritisme sur Windows Mac
#1
Titre provocateur Wink

Mais quand-même difficile d’avaler que le jour de la sortie de darktable 3.0.2 les utilisateurs Windows et Mac ont un installateur facile alors que sous Linux, rien pas de PPA de mise à jour et ce 17 jours après la sortie.....
Luc Viatour Photographe 
Website
Répondre
#2
Tout à fait Luc, je sais pas pourquoi le packageur historique Pascal de Bruijn ne prépare plus de .ppa pour darktable depuis la 2.6.2 ?
Après  sur https://software.opensuse.org/download.h...=darktable ou ils font des paquets pour d'autres distributions, seuls les paquets .rmp sont passés en 3.0.2 ont été construits.
Dariusz Duma sur https://launchpad.net/~dhor/+archive/ubuntu/myway semblait vouloir reprendre le flambeau de Pascal de Bruijn mais toujours rien à l'horizon de ce côté.
Construite un paquet est plus complexe que de compiler, c'est installé tout un environnement pour que ce paquets fonctionnent sur toutes les machines. Si je prends les .ppa de Pascal de Bruijn, il utilisait pendant longtemps la librairie LensFun en 0.2.8 alors quelle était en 0.3.2 d'où l'utilitaire lensfun-update-data qui permet de mettre à jour la base de données.
Donc il reste plusieurs solutions :
compiler directement la version ;
utiliser une distribution rolling release ;
utiliser une distribution qui permet de compiler directement depuis les sources comme Arch avec leur système AUR :
utiliser la version FlatPak : https://flathub.org/apps/details/org.dar....Darktable, je l'ai installée mais elle ne fonctionne pas en OpenCL ni avec NVidia et NEO pour carte intégrée Intel ;
avec toutes les réserves déjà évoquées, utiliser le paquet de Panda Jim : https://launchpad.net/~ubuntuhandbook1/+...VNe3Qcb1jQ avec toute les réserves que j'ai déjà évoquées concernant ce paquet, plusieurs utilisateurs ont rencontré plusieurs problèmes avec, donc c'est à vos risques et périls et il sera très difficile de vous aider en cas de problèmes.
Répondre
#3
(03-05-20, 09:38)jpg54 a écrit : Tout à fait Luc, je sais pas pourquoi le packageur historique Pascal de Bruijn ne prépare plus de .ppa pour darktable depuis la 2.6.2 ?
Après  sur https://software.opensuse.org/download.h...=darktable ou ils font des paquets pour d'autres distributions, seuls les paquets .rmp sont passés en 3.0.2 ont été construits.
Dariusz Duma sur https://launchpad.net/~dhor/+archive/ubuntu/myway semblait vouloir reprendre le flambeau de Pascal de Bruijn mais toujours rien à l'horizon de ce côté.
Construite un paquet est plus complexe que de compiler, c'est installé tout un environnement pour que ce paquets fonctionnent sur toutes les machines. Si je prends les .ppa de Pascal de Bruijn, il utilisait pendant longtemps la librairie LensFun en 0.2.8 alors quelle était en 0.3.2 d'où l'utilitaire lensfun-update-data qui permet de mettre à jour la base de données.
Donc il reste plusieurs solutions :
compiler directement la version ;
utiliser une distribution rolling release ;
utiliser une distribution qui permet de compiler directement depuis les sources comme Arch avec leur système AUR :
avec toutes les réserves déjà évoquées, utiliser le paquet de Panda Jim : https://launchpad.net/~ubuntuhandbook1/+...VNe3Qcb1jQ avec toute les réserves que j'ai déjà évoquées concernant ce paquet, plusieurs utilisateurs ont rencontré plusieurs problèmes avec, donc c'est à vos risques et périls et il sera très difficile de vous aider en cas de problèmes.

Il y a aussi les serveurs OpenSuse qui font un bon boulot, mais rien pour la 3.02 et Ubuntu 20.04. C'est quand-même frustrant...
https://software.opensuse.org/download.h...=darktable
Luc Viatour Photographe 
Website
Répondre
#4
(03-05-20, 09:46)LViatour a écrit : Il y a aussi les serveurs OpenSuse qui font un bon boulot, mais rien pour la 3.02 et Ubuntu 20.04. C'est quand-même frustrant...
https://software.opensuse.org/download.h...=darktable
J'ai essayé de donner toutes les possibilités d'avoir la version 3.0.2 et je viens d'ajouter le FlatPak : : https://flathub.org/apps/details/org.dar....Darktable, je l'ai installée mais elle ne fonctionne pas en OpenCL ni avec NVidia et NEO pour carte intégrée Intel.

J'avais déjà remarqué que les nouvelles versions étaient proposées plus rapidement pour RawTherapee ce qui m'avait choqué à l'époque ou je n'utilisait pas encore darktable.
Répondre
#5
Bonjour Luc, côté serveur (au boulot), c’est principalement Debian que j’utilise au quotidien. Côté poste de travail, les problèmes de PPA et autres systèmes de dépôt alternatif c’est plus pour moi. Avec Archlinux et Manjaro, tout est un jeux d’enfant. La version Darktable 3.0.2 a été rendu disponible presque instantanément, la version dev (AUR) que j’utilise s’installe et se met à jour en une ligne de commande (yay -S darktable-git). Ça n’est pas vraiment une histoire de favoritisme mais plutôt la réactivité des packagers et dans l’univers Arch, elle est évidente.

Cordialement,
Répondre
#6
(03-05-20, 09:38)jpg54 a écrit : Tout à fait Luc, je sais pas pourquoi le packageur historique Pascal de Bruijn ne prépare plus de .ppa pour darktable depuis la 2.6.2 ?

Très simple, il l'a exprimé aux développeurs après la sortie de la 3.0.0 : il en a eu ras-le-bol de ceux qui se plaignaient que son dépôt n'était pas à jour et qu'il devrait le mettre à jour dès qu'une nouvelle version est sortie alors qu'il fait ça bénévolement et qu'il a une vie à côté. Bref, c'est ce genre de réactions/plaintes qui l'a fait arrêter. Je travaille sur le CSS de darktable et ça ne me demande pas énormément de temps mais si un jour, je me retrouvais à avoir moins de temps (ça arrivera probablement un jour) et que je voyais des gens se plaindre que des parties de l'interface n'allaient plus et que ça traînait à être corrigé, je n'en accepterais pas beaucoup avant d'avoir envie de dire aux gens d'aller se faire foutre... Rendre service, contribuer à une communauté sur son temps libre n'est pas une obligation.

J'avoue Luc que je ne comprends pas ton fil, ni ta réaction jpg54, tellement ce sujet a été discuté (et vous suivez quand même bien ce forum). Les dépôts PPA sont faits par des bénévoles qui n'ont pas les mêmes disponibilités/réactivités que ceux faisant les paquets Windows et Mac. C'est la seule raison. Après, peut-être que la sortie d'une nouvelle version devrait attendre que tous les paquets soient dispos ? Quitte à la sortir 1 mois après ? Et quid de la mise à jour synchronisé de lieux divers, gérés par des personnes diverses ? Les dépôts PPA ne peuvent pas être liés au dépôt Github.

Un autre point surtout : Mac nécessite un seul paquet, idem pour Windows. Linux nécessite bien plus de paquets (à peu près autant que de distributions et de versions de distribution. Rien que ça explique le fait que préparer des paquets Linux demande plus de temps donc plus de disponibilité et réactivité des bénévoles s'en chargeant.

Parce que oui, ça reste du bénévolat donc ceux qui s'en chargent n'ont aucune obligation ni compte à rendre. Ils le font... ou pas (et quand ils veulent).

Et tout simplement, ce problème n'est pas lié à darktable mais se retrouve sur la plupart des logiciels développés et pour la raison évoquée qu'un paquet = 1 distribution (et le plus souvent 1 version de distribution) et si on veut satisfaire tout le monde, un logiciel doit donc être compilé en beaucoup de paquets. C'est toute la limite du côté libre et ouvert de Linux : dès que quelques personnes ne sont pas satisfaites, avec du temps et les compétences, chacun peut se créer sa distribution voire son système de paquets.

Après, il reste le format Appimage évoqué par Aurélien (ne me parlez pas de flatpak/snap SVP ! Une horreur ces trucs) mais encore faut-il que quelqu'un s'y mette ? L'un de vous veut aider à compiler les paquets Linux pour qu'ils soient (à chaque version) sortis en même temps que la sortie d'une version ?
Aussi appelé Nilvus !
Ubuntu 20.04 LTS - darktable master
Répondre
#7
Titre provoc oui, mais la qualité de la version Windows est bien loin de la version Linux Smile Alors attendre un peu pour obtenir le must de darktable n'est pas si difficile ! Bon je dis cela mais je compile dt près de 10 fois par jour Smile
--
Pascal - GNU/Debian (sid) - version darktable git/master
http://photos.obry.net
Répondre
#8
(03-05-20, 12:01)nicoauffray a écrit :
(03-05-20, 09:38)jpg54 a écrit : Tout à fait Luc, je sais pas pourquoi le packageur historique Pascal de Bruijn ne prépare plus de .ppa pour darktable depuis la 2.6.2 ?

J'avoue Luc que je ne comprends pas ton fil, ni ta réaction jpg54, tellement ce sujet a été discuté (et vous suivez quand même bien ce forum). Les dépôts PPA sont faits par des bénévoles qui n'ont pas les mêmes disponibilités/réactivités que ceux faisant les paquets Windows et Mac. C'est la seule raison. Après, peut-être que la sortie d'une nouvelle version devrait attendre que tous les paquets soient dispos ? Quitte à la sortir 1 mois après ? Et quid de la mise à jour synchronisé de lieux divers, gérés par des personnes diverses ? Les dépôts PPA ne peuvent pas être liés au dépôt Github.

Un autre point surtout : Mac nécessite un seul paquet, idem pour Windows. Linux nécessite bien plus de paquets (à peu près autant que de distributions et de versions de distribution. Rien que ça explique le fait que préparer des paquets Linux demande plus de temps donc plus de disponibilité et réactivité des bénévoles s'en chargeant.

Parce que oui, ça reste du bénévolat donc ceux qui s'en chargent n'ont aucune obligation ni compte à rendre. Ils le font... ou pas (et quand ils veulent).

Et tout simplement, ce problème n'est pas lié à darktable mais se retrouve sur la plupart des logiciels développés et pour la raison évoquée qu'un paquet = 1 distribution (et le plus souvent 1 version de distribution) et si on veut satisfaire tout le monde, un logiciel doit donc être compilé en beaucoup de paquets. C'est toute la limite du côté libre et ouvert de Linux : dès que quelques personnes ne sont pas satisfaites, avec du temps et les compétences, chacun peut se créer sa distribution voire son système de paquets.

Après, il reste le format Appimage évoqué par Aurélien (ne me parlez pas de flatpak/snap SVP ! Une horreur ces trucs) mais encore faut-il que quelqu'un s'y mette ? L'un de vous veut aider à compiler les paquets Linux pour qu'ils soient (à chaque version) sortis en même temps que la sortie d'une version ?

Je comprends bien le problème, c'est certainement pas pour critiquer, moi perso je n'ai pas de problème, je compile la version Github Master. 


Je n'ai malheureusement pas les compétences pour programmer ou créer un PPA et aider à gérer cela. 

J'essaye juste d'aider sur les forums photos ceux qui essayent d'installer leur darktable, et bien entendu conseiller les gens à utiliser Linux. 
Et il n'est pas simple d'expliquer à des débutants que Linux c'est mieux mais qu'il est impossible de leur installer la dernière version.

Mais c'est pas grave je vais patienter. 
Je ne connais pas le format Appimage le mode flatpak j'ai testé et c'est pas convaincant, j'ai eu pleins de problèmes avec GIMP. 
C'est donc un problème de conception générale qui n'est plus adaptée aux changements rapides des logiciels.

Il faudrait que les distributions soient toutes en rolling release....
Luc Viatour Photographe 
Website
Répondre
#9
(03-05-20, 12:01)nicoauffray a écrit :
(03-05-20, 09:38)jpg54 a écrit : Tout à fait Luc, je sais pas pourquoi le packageur historique Pascal de Bruijn ne prépare plus de .ppa pour darktable depuis la 2.6.2 ?

J'avoue Luc que je ne comprends pas ton fil, ni ta réaction jpg54, tellement ce sujet a été discuté (et vous suivez quand même bien ce forum). Les dépôts PPA sont faits par des bénévoles qui n'ont pas les mêmes disponibilités/réactivités que ceux faisant les paquets Windows et Mac.
Je n'ai fait que comprendre l'intervention de Luc pour mettre à plat toutes les possibilités de ceux qui veulent absolument la version 3.0.2 en mettant des mises en garde. Quand à darktable 3.0.2 en AppImage, il semble y avoir un problème de construction et il n'est pas disponible sinon je l'aurais installé et dit ce que j'en pensais comme je l'ai fait pour FatPak et pour le .ppa de Panda Jim, je me suis fier de mes essais et les retours d'utilisateur ici de la versions 3.0.0 et 3.0.1.
Je n'ai pas installé la version 3.0.2 de ce packageur et j'attends des retours de ceux qui l'ont installé ?
@pascal Je sais très bien que ce problème est indépendant de darktable et n'affecte pas la qualité des développeurs et l'énorme travail que tu as fait pour les vérifications des sources.

Après Luc, la version 3.0.1 est parfaitement fonctionnelle même s'il lui manque quelques fonctionnalités par rapport 3.0.2 et souvent les améliorations sont subtiles et l'ajout de nouveaux boîtiers n'est pas énorme. Actuellement, j'ai 5 versions de darktable donctionnelle sur mon portable.
Répondre
#10
Petite goutte d'acide sur la plaie... Il me semble bien qu'au début de l'année dernière, en janvier 2019 donc, c'était le paquet MAC qui n'était pas disponible et qui ne l'a pas été pendant plusieurs semaines. Et bien sûr les utilisateurs MAC poussaient de hauts cris. À qui le tour lors d'une prochaine sortie?! ...
Mes photos : jpverrue.fr
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)